Subject: Re: Changing environment with make ?
From: [email-masked] (Bartlee A. Anderson)

21 Oct 1997 17:08:21 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Axel Riese <[email-masked]>
Cc: [email-masked]

Axel Riese wrote:
> 
> Hi all !
> 
> Having both the GNU-Win32 and Mingw32 package installed, I encountered the
> following problem for switching from one to the other:
> 
> Is it possible to change environment variables (such as GCC_EXEC_PREFIX etc.)

I have used shortcuts which bring up a shell (via a bat file that
sets env var etc.)
Having 2 shortcuts with different batfiles for the environment should
be an easy thing to manage, as long as things stay static in your
environment. It becomes harder if you start to have many more of these.
Two with different env vars should be a breeze.
Saves me changing autoexec.bat (I hate rebooting, unless the application
assists me.. ;(    )
> at the beginning of a Makefile such that these changes remain valid during
> the whole processing of the Makefile ???
> 
> Any suggestions appreciated,
> 
> Axel
> 
> ===============================================================================
> Axel Riese
> Research Institute for Symbolic Computation
> J. Kepler University Linz
> A-4040 Linz                              e-Mail: [email-masked]
> Austria             URL: http://www.risc.uni-linz.ac.at/research/combinat/risc/
> ===============================================================================
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".